OpenVDB: WeightPosSumsTransfer< PointDataTreeT > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
WeightPosSumsTransfer< PointDataTreeT > Struct Template Reference

`#include <openvdb/points/impl/PrincipalComponentAnalysisImpl.h>`

Inheritance diagram for WeightPosSumsTransfer< PointDataTreeT >:

## Public Types
using | BaseT = PcaTransfer<PointDataTreeT>
using | LeafNodeType = typename PointDataTreeT::LeafNodeType
using | PositionHandleT = points::AttributeHandle<Vec3d, NullCodec>
using | TreeTupleT
using | TreeType
using | ValueType
using | NodeMaskT

## Public Member Functions
| WeightPosSumsTransfer (const AttrIndices &indices, const PcaSettings &settings, const Real vs, tree::LeafManager< PointDataTreeT > &manager, util::NullInterrupter *interrupt)
| WeightPosSumsTransfer (const WeightPosSumsTransfer &other)
void | initialize (const Coord &origin, const size_t idx, const CoordBBox &bounds)
void | rasterizePoints (const Coord &, const Index start, const Index end, const CoordBBox &bounds)
bool | finalize (const Coord &, size_t idx)
float | searchRadius () const
size_t | neighbourThreshold () const
size_t | maxSourcePointsPerVoxel () const
size_t | maxTargetPointsPerVoxel () const
Vec3i | range (const Coord &, size_t) const
Vec3i | range () const
bool | startPointLeaf (const typename PointDataTreeT::LeafNodeType &leaf)
bool | endPointLeaf (const typename PointDataTreeT::LeafNodeType &)
TreeType< 0 > & | topology ()
ValueType< Idx > * | buffer ()
const ValueType< Idx > * | buffer () const
NodeMaskT * | mask ()
NodeMaskT * | mask (const size_t idx)
const NodeMaskT * | mask () const
const NodeMaskT * | mask (const size_t idx) const
void | foreach (const FunctorT &functor)
bool | interrupted () const

## Static Public Attributes
static const Index | DIM = PointDataTreeT::LeafNodeType::DIM
static const Index | LOG2DIM = PointDataTreeT::LeafNodeType::LOG2DIM
static const size_t | Size

## Protected Attributes
const AttrIndices & | mIndices
const PcaSettings & | mSettings
const Real | mDxInv
const tree::LeafManager< PointDataTreeT > & | mManager
std::unique_ptr< PositionHandleT > | mTargetPosition
std::unique_ptr< PositionHandleT > | mSourcePosition

## Member Typedef Documentation

## ◆ BaseT

template<typename PointDataTreeT>

using BaseT = PcaTransfer<PointDataTreeT>

## ◆ LeafNodeType

template<typename PointDataTreeT>

using LeafNodeType = typename PointDataTreeT::LeafNodeType
| inherited

## ◆ NodeMaskT

using NodeMaskT
| inherited

## ◆ PositionHandleT

template<typename PointDataTreeT>

using PositionHandleT = points::AttributeHandle<Vec3d, NullCodec>
| inherited

## ◆ TreeTupleT

using TreeTupleT
| inherited

## ◆ TreeType

using TreeType
| inherited

## ◆ ValueType

using ValueType
| inherited

## Constructor & Destructor Documentation

## ◆ WeightPosSumsTransfer() [1/2]

template<typename PointDataTreeT>

WeightPosSumsTransfer | ( | const AttrIndices & | indices,
|  | const PcaSettings & | settings,
|  | const Real | vs,
|  | tree::LeafManager< PointDataTreeT > & | manager,
|  | util::NullInterrupter * | interrupt )
| inline

## ◆ WeightPosSumsTransfer() [2/2]

template<typename PointDataTreeT>

WeightPosSumsTransfer | ( | const WeightPosSumsTransfer< PointDataTreeT > & | other | ) |
| inline

## Member Function Documentation

## ◆ buffer() [1/2]

ValueType< Idx > * buffer | ( |  | ) |
| inlineinherited

## ◆ buffer() [2/2]

const ValueType< Idx > * buffer | ( |  | ) | const
| inlineinherited

## ◆ endPointLeaf()

template<typename PointDataTreeT>

bool endPointLeaf | ( | const typename PointDataTreeT::LeafNodeType & |  | ) |
| inlineinherited

## ◆ finalize()

template<typename PointDataTreeT>

bool finalize | ( | const Coord & | ,
|  | size_t | idx )
| inline

## ◆ foreach()

void foreach | ( | const FunctorT & | functor | ) |
| inlineinherited

## ◆ initialize()

template<typename PointDataTreeT>

void initialize | ( | const Coord & | origin,
|  | const size_t | idx,
|  | const CoordBBox & | bounds )
| inline

## ◆ interrupted()

bool interrupted | ( |  | ) | const
| inlineinherited

## ◆ mask() [1/4]

NodeMaskT * mask | ( |  | ) |
| inlineinherited

## ◆ mask() [2/4]

const NodeMaskT * mask | ( |  | ) | const
| inlineinherited

## ◆ mask() [3/4]

NodeMaskT * mask | ( | const size_t | idx | ) |
| inlineinherited

## ◆ mask() [4/4]

const NodeMaskT * mask | ( | const size_t | idx | ) | const
| inlineinherited

## ◆ maxSourcePointsPerVoxel()

template<typename PointDataTreeT>

size_t maxSourcePointsPerVoxel | ( |  | ) | const
| inlineinherited

## ◆ maxTargetPointsPerVoxel()

template<typename PointDataTreeT>

size_t maxTargetPointsPerVoxel | ( |  | ) | const
| inlineinherited

## ◆ neighbourThreshold()

template<typename PointDataTreeT>

size_t neighbourThreshold | ( |  | ) | const
| inlineinherited

## ◆ range() [1/2]

template<typename PointDataTreeT>

Vec3i range | ( |  | ) | const
| inlineinherited

## ◆ range() [2/2]

template<typename PointDataTreeT>

Vec3i range | ( | const Coord & | ,
|  | size_t | ) const
| inlineinherited

## ◆ rasterizePoints()

template<typename PointDataTreeT>

void rasterizePoints | ( | const Coord & | ,
|  | const Index | start,
|  | const Index | end,
|  | const CoordBBox & | bounds )
| inline

## ◆ searchRadius()

template<typename PointDataTreeT>

float searchRadius | ( |  | ) | const
| inlineinherited

## ◆ startPointLeaf()

template<typename PointDataTreeT>

bool startPointLeaf | ( | const typename PointDataTreeT::LeafNodeType & | leaf | ) |
| inlineinherited

## ◆ topology()

TreeType< 0 > & topology | ( |  | ) |
| inlineinherited

## Member Data Documentation

## ◆ DIM

template<typename PointDataTreeT>

const Index DIM = PointDataTreeT::LeafNodeType::DIM
| static

## ◆ LOG2DIM

template<typename PointDataTreeT>

const Index LOG2DIM = PointDataTreeT::LeafNodeType::LOG2DIM
| static

## ◆ mDxInv

template<typename PointDataTreeT>

const Real mDxInv
| protectedinherited

## ◆ mIndices

template<typename PointDataTreeT>

const AttrIndices& mIndices
| protectedinherited

## ◆ mManager

template<typename PointDataTreeT>

const tree::LeafManager<PointDataTreeT>& mManager
| protectedinherited

## ◆ mSettings

template<typename PointDataTreeT>

const PcaSettings& mSettings
| protectedinherited

## ◆ mSourcePosition

template<typename PointDataTreeT>

std::unique_ptr<PositionHandleT> mSourcePosition
| protectedinherited

## ◆ mTargetPosition

template<typename PointDataTreeT>

std::unique_ptr<PositionHandleT> mTargetPosition
| protectedinherited

## ◆ Size

const size_t Size
| staticinherited